Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffProfileClassITHCP2

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffProfileClassIT
              edu.harvard.hul.ois.jhove.module.tiff.TiffProfileClassITHCP2

    public final class TiffProfileClassITHCP2

extends TiffProfileClassIT

Profile checker for TIFF Class IT-HC/P2. The TIFF/IT spec states that "TIFF/IT-HC/P2 is an extension of TIFF/IT-HC/P1."

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffProfileClassITHCP2()`

Method Summary
`boolean` | `satisfiesThisProfile(IFD ifd)` Returns true if the IFD satisfies the requirements of the profile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffProfileClassITHCP2

    public TiffProfileClassITHCP2()

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile(IFD ifd)

  Returns true if the IFD satisfies the requirements of the profile. See the documentation for details.

  Overrides:
    `satisfiesThisProfile` in class `TiffProfileClassIT`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD